## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanEXSLTFunctionLog Class Reference

Inheritance diagram for XalanEXSLTFunctionLog:

[legend]
Collaboration diagram for XalanEXSLTFunctionLog:

[legend]
List of all members.

## Public Types

- typedef Function ParentType

## Public Member Functions

- XalanEXSLTFunctionLog ()
- virtual ~XalanEXSLTFunctionLog ()
- virtual XObjectPtr execute (XPathExecutionContext &executionContext, XalanNode *context, const XObjectArgVectorType &args, const LocatorType *locator) const
    Execute an XPath function object.
- virtual XalanEXSLTFunctionLog * clone (MemoryManagerType &theManager) const
    Create a copy of the function object.

## Protected Member Functions

- const XalanDOMString & getError (XalanDOMString &theBuffer) const
    Get the error message to report when the function is called with the wrong number of arguments.

## Member Typedef Documentation

typedef Function XalanEXSLTFunctionLog::ParentType

## Constructor & Destructor Documentation

XalanEXSLTFunctionLog::XalanEXSLTFunctionLog | ( |  | ) |

virtual XalanEXSLTFunctionLog::~XalanEXSLTFunctionLog | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual XalanEXSLTFunctionLog* XalanEXSLTFunctionLog::clone | ( | MemoryManagerType & | theManager | ) | const`[virtual]`

Create a copy of the function object.

Returns:
  pointer to the new object

Implements Function.

virtual XObjectPtr XalanEXSLTFunctionLog::execute | ( | XPathExecutionContext & | executionContext,
|  | XalanNode * | context,
|  | const XObjectArgVectorType & | args,
|  | const LocatorType * | locator
| ) | const`[virtual]`

Execute an XPath function object.

The function must return a valid object. Extension functions should override this version of execute(), rather than one of the other calls designed for a specific number of arguments, since the extension function mechanism will call this version first. Extension functions that accept more than three arguments _must_ override this version.

Parameters:

  executionContext | executing context
  context | current context node
  args | vector of pointers to XObject arguments
  locator | LocatorType instance for the XPath expression that contains the function call

Returns:
  pointer to the result XObject

Reimplemented from Function.

const XalanDOMString& XalanEXSLTFunctionLog::getError | ( | XalanDOMString & | theBuffer | ) | const`[protected, virtual]`

Get the error message to report when the function is called with the wrong number of arguments.

Returns:
  function error message

Implements Function.

The documentation for this class was generated from the following file:

- XalanEXSLTMathImpl.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.